import type { _MTRDevice } from "./MTRDevice.js";
import type { _MTRGenericCluster } from "./MTRGenericCluster.js";
import type { _MTRReadParams } from "./MTRReadParams.js";
import type { _MTRTemperatureControlClusterSetTemperatureParams } from "./MTRTemperatureControlClusterSetTemperatureParams.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClusterTemperatureControl extends _MTRGenericCluster {
    static alloc(): _MTRClusterTemperatureControl;
    static new(): _MTRClusterTemperatureControl;
    init(): _MTRClusterTemperatureControl;
    setTemperatureWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRTemperatureControlClusterSetTemperatureParams | null, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    setTemperatureWithExpectedValues$expectedValueInterval$completion$(expectedValues: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    readAttributeTemperatureSetpointWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeMinTemperatureWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeMaxTemperatureWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeStepWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeSelectedTemperatureLevelWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeSupportedTemperatureLevelsWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeGeneratedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAcceptedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAttributeListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeFeatureMapWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeClusterRevisionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    /**
     * For all instance methods that take a completion (i.e. command invocations), the completion will be called on the provided queue.
     */
    initWithDevice$endpointID$queue$(device: _MTRDevice, endpointID: _NSNumber, queue: _NSObject): _MTRClusterTemperatureControl | null;
}
